package org.netkernel.layer0.nkf;

import java.util.List;

import org.netkernel.layer0.meta.IPrototypeParameterMeta;

public interface INKFParameters
{
	int getParamCount();
	String getParamName(int aIndex);
	Object getParamValue(int aIndex) throws NKFException;
	
	boolean paramExists(String aName);
	Object getParamValue(String aName) throws NKFException;
	List<Object> getParamValues(String aName) throws NKFException;
	
	IPrototypeParameterMeta getParamMeta(String aName) throws NKFException;
}
