package org.netkernel.layer0.bnf;

import java.util.ArrayList;
import java.util.List;

public class NamedGroups
{
	private List<IGrammarGroup> mGroupList=new ArrayList();
	
	public void putGroup(IGrammarGroup aName)
	{	mGroupList.add(aName);
	}
	
	public void skipGroup()
	{	mGroupList.add(null);
	}
	
	public void skipGroups(int aNumber)
	{	for (int i=0; i<aNumber; i++)
		{	mGroupList.add(null);
		}
	}
	
	public IGrammarGroup getGroup(int aIndex)
	{	return mGroupList.get(aIndex);
	}
	
	public int size()
	{	return mGroupList.size();
	}
	
	public void propagateGroups(NamedGroups aGroups)
	{	for (int i=0; i<mGroupList.size(); i++)
		{	aGroups.putGroup(mGroupList.get(i));
		}
	}
}
