package org.netkernel.layer0.meta;

import org.netkernel.urii.IMetaRepresentation;

/** State fields exposed by physical endpoints may optionally document those fields using this class
 * @author tab
 */
public interface IPhysicalEndpointFieldMeta extends IMetaRepresentation
{
	/**
	 * @return true if this field is updatable.
	 */
	boolean isSetable();
	
	/** 
	 * @return the representational class of this field
	 */
	Class getType();
}
