package org.netkernel.layer0.meta.impl;

import org.netkernel.layer0.meta.ISpaceMeta;
import org.netkernel.layer0.meta.ISpaceElements;
import org.netkernel.layer0.util.PairList;
import org.netkernel.urii.IIdentifier;


public class SpaceMetaImpl extends MetaRepresentationImpl implements ISpaceMeta
{
	private static final ISpaceElements sDefaultParts = SpaceElementsImpl.EMPTY;
	
	private ISpaceElements mParts=sDefaultParts;
	
	public SpaceMetaImpl(String aName, String aDescription, IIdentifier aIcon, IIdentifier aDoc)
	{	super(aName,aDescription,aIcon,aDoc);
	}
	
	public void setParts(ISpaceElements aParts)
	{	mParts=aParts;
	}
	
	public ISpaceElements getElements()
	{	return mParts;
	}
}